Get entity by name

View as Markdown
Get a specific entity by its workspace, type, and name. Example: ``` GET /apis/entities/v2/workspaces/default/entities/customization_config/my-config ```

Path parameters

workspacestringRequired
entity_typestringRequired
namestringRequired

Query parameters

parentstringOptional
Parent entity ID for nested entities

Response

Successful Response
entity_typestring
Entity type identifier
idstring
UUID identifier
workspacestring
Workspace identifier
namestring
Entity name
datamap from strings to any
Entity data
created_atdatetime
Timestamp of entity creation
updated_atdatetime
Timestamp of last entity update
db_versioninteger
Database version of the entity for optimistic locking.
parentstring
Parent entity ID for nested entities
projectstring
The name of the project associated with this entity
created_bystring
Principal id for entity creator
updated_bystring
Principal id for last entity update

Errors

422
Unprocessable Entity Error